Loading...
Searching...
No Matches
Dune::cpgrid::EntityVariableBase< T > Class Template Reference

Base class for EntityVariable and SignedEntityVariable. More...

`#include <EntityRep.hpp>`

Inheritance diagram for Dune::cpgrid::EntityVariableBase< T >:

## Public Types

typedef std::vector< T > | V
typedef std::vector< T >::iterator | iterator
typedef std::vector< T >::const_iterator | const_iterator

## Public Member Functions

| EntityVariableBase ()
| Default constructor.
const T & | get (int i) const
T & | get (int i)
void | swap (EntityVariableBase &other)

## Friends

class | CpGridData

## Detailed Description

template<typename T>
class Dune::cpgrid::EntityVariableBase< T >

Base class for EntityVariable and SignedEntityVariable.

Forwards a restricted subset of the std::vector interface.

Template Parameters

  T | A value type for the variable, such as double for pressure etc.

The documentation for this class was generated from the following file:

- opm/grid/cpgrid/EntityRep.hpp